{% extends '@KaitekFramework/Backend/module.html.twig' %}
{% trans_default_domain (modulename) %}
{% block begin_javascript_fix %}
<script type="text/javascript">
    {% endblock begin_javascript_fix %}



    {% block begin_javascript %}
    {{ parent() }}
    {{ modulename }}Obj.prototype = {
        //storeConfig:{
        //    ProductTree:{routeName:'ProductTree-getComboValues-special',table:'product_trees',fieldId:'name',fieldDisplay:'name',options:{where:'O'}}
        //    ,ProductTreeG:{routeName:'ProductTree-getComboValues-special',table:'product_trees',fieldId:'name',fieldDisplay:'name',options:{where:'O'}}
        //},
        init : function(){
            var t = this;
            {{ modulename }}Obj.superclass.init.call(t);
            t.windowButtons.add=false;
            t.windowButtons.edit=false;
            t.checks = {};
	        t.stationData = {};
            const gridConfig = {
                cm: [
                    {header: "{{ 'TaskCaseControl.code'|trans }}", dataIndex: 'code', width: 100,filter:'single',alias:'tcc',operator:'%.%'},
                    {header: "{{ 'TaskCaseControl.opcode'|trans }}", dataIndex: 'opcode', width: 200,filter:'single',alias:'tcc',operator:'%.%'},
                    {header: "{{ 'TaskCaseControl.packcapacity'|trans }}", dataIndex: 'packcapacity', width: 100, align:'right',filter:'between', alias:'tcc',operator:'='},
                    {header: "{{ 'TaskCaseControl.quantityremaining'|trans }}", dataIndex: 'quantityremaining', align:'right', width: 100,filter:'between',alias:'tcc',operator:'='},
                    {header: "{{ 'TaskCaseControl.filename'|trans }}", dataIndex: 'filename', width: 200,filter:'single', alias:'tcc',operator:'%.%'},
                    {header: "{{ 'TaskCaseControl.clients'|trans }}", dataIndex: 'clients', width: 100,filter:'single', alias:'tcc',operator:'%.%'},
                ]
            };

            t._setGridConfig(gridConfig);

            const formConfig= {
                items: [
                    new mj.form.fieldSet({
                        id : 'f1',
                        title : "{{ 'TaskCaseControl.clients'|trans }}",
                        labelWidth : '110px',
                        width : 170,
                        height : 320
                    }),
                    new mj.form.fieldSet({
                        id : 'f2',
                        title : '&nbsp;',
                        labelWidth : '110px',
                        width : 800,
                        height : 320,
                        style : 'position:absolute;top:0px;left:210px;',
                        items : [
                            new mj.form.field({
                                dataIndex: 'id',
                                hidden: true
                            }),
                            new mj.form.field({
                                dataIndex: 'version',
                                hidden: true
                            })
                            /*,
                            new mj.form.combo({
                                title: "{{ 'TaskCaseControl.type'|trans }}",
                                placeHolder: "{{ 'TaskCaseControl.type_placeholder'|trans }}",
                                dataIndex: 'type',
                                mode: 'local',
                                clearOnTriggerClick: true,
                                sameValueDisplay:true,
                                labelWidth : '110px',
                                grid: 's6 m4',
                                store: t.stores.types
                            }),
                            new mj.form.combo({
                                title: "{{ 'TaskCaseControl.opname'|trans }}",
                                placeHolder: "{{ 'TaskCaseControl.opname_placeholder'|trans }}",
                                dataIndex: 'opname',
                                mode: 'remote',
                                clearOnTriggerClick: true,
                                sameValueDisplay:true,
                                labelWidth : '110px',
                                grid: 's6 m4',
                                store: t.stores.ProductTree
                            }),
                            new mj.form.textField({
                                title: "{{ 'TaskCaseControl.question'|trans }}",
                                dataIndex: 'question',
                                maxLength: 250,
                                labelWidth : '110px',
                                grid: 's4 m2',
                                width:500
                            }),
                            new mj.form.combo({
                                title: "{{ 'TaskCaseControl.answertype'|trans }}",
                                placeHolder: "{{ 'TaskCaseControl.answertype_placeholder'|trans }}",
                                dataIndex: 'answertype',
                                mode: 'local',
                                clearOnTriggerClick: true,
                                sameValueDisplay:true,
                                labelWidth : '110px',
                                grid: 's6 m4',
                                store: t.stores.answertypes
                            }),
                            new mj.form.textField({
                                title: "{{ 'TaskCaseControl.valuerequire'|trans }}",
                                dataIndex: 'valuerequire',
                                maxLength: 100,
                                labelWidth : '110px',
                                grid: 's4 m2'
                            }),
                            new mj.form.textField({
                                title: "{{ 'TaskCaseControl.valuemin'|trans }}",
                                dataIndex: 'valuemin',
                                maxLength: 100,
                                labelWidth : '110px',
                                grid: 's4 m2'
                            }),
                            new mj.form.textField({
                                title: "{{ 'TaskCaseControl.valuemax'|trans }}",
                                dataIndex: 'valuemax',
                                maxLength: 100,
                                labelWidth : '110px',
                                grid: 's4 m2'
                            }),
                            new mj.form.textField({
                                title: "{{ 'TaskCaseControl.documentnumber'|trans }}",
                                dataIndex: 'documentnumber',
                                maxLength: 50,
                                labelWidth : '110px',
                                grid: 's4 m2'
                            })*/
                        ]
                    })
                ]
            };
            t._setFormConfig(formConfig,t.initFormElementsEvents);

            //t.buttons.selectNone = t.forms.main.addButton({
            //    alt: "{{ 'TaskCaseControl.selectNone'|trans }}",
            //    cls: 'btn-sm left',
            //    iconCls: 'mj-checkbox',
            //    scope: t,
            //    handler: function(){
            //        t.checker(0);
            //    }
            //});
            //t.buttons.selectAll = t.forms.main.addButton({
            //    alt: "{{ 'TaskCaseControl.selectAll'|trans }}",
            //    cls: 'btn-sm left',
            //    iconCls: 'mj-checkbox-checked',
            //    scope: t,
            //    handler: function(){
            //        t.checker(1);
            //    }
            //});

            //t.len=t.forms.main.items.length;

            //for(var i = 0,l = t.data.clients.length;i<l;i++){
            //    if(t.forms.main.items.getIndex('id','client_' + t.data.clients[i].code) === -1){
            //        t.forms.main.add(
            //            new mj.form.checkBox({
            //                title : t.data.clients[i].code,
            //                id : 'client_' + t.data.clients[i].code,
            //                labelWidth : '130px',
            //                labelPos : 'right',
            //                dataIndex : 'client'/*,
            //                checked : st.data[i].checked*/
            //            }),'f1'
            //        );
            //    }
            //}
            //t.checks.client = t.forms.main.items[0].items;
        },
        //checker : function(v){
        //    var t=this;
        //    var bi = t.forms.main.items[0].items;
        //    for(var i=0;i<bi.length;i++){
        //        bi[i].setValue(v);
        //    }
        //},
        editSelectedRecord: function(){
            return;
            //var t=this;
            //var selectedRecord = t.getSelectedRecord();
            //if (selectedRecord !== false){
            //    t.editData(selectedRecord);
            //    if(selectedRecord.clients&&selectedRecord.clients!==''){
            //        var s = selectedRecord.clients.split("|");
            //        i=-1;
            //        var f;
            //        while(++i<s.length){
            //            f = 'client_'+s[i];
            //            var fi = t.forms.main.getField(f);
            //            if(fi)
            //                fi.setValue(1);
            //        }
            //    }
            //}
        },
        save: function() {
            return;
            /*var t = this,
                _f = this.forms,
                f = this.forms.main;
            t.trigger('beforesave');
            if (f.modulename && typeof Routing !== 'undefined') {
                //if (f.validate()) {
                    var clients="";
                    //var flag=false;
                    for(var i = 0 , l = t.checks.client.length;i<l;i++){
                        if(t.checks.client[i].checked){
                            //flag=true;
                            id = t.checks.client[i].id.replace('client_','');
                            clients=(clients==""?id:clients+"|"+id);
                        }
                    }
                    //if(flag){
                        var data = f.getValue();
                        data.clients=clients;
                        delete data.client;
                        t.waitMaskShow();
                        var id = f.getValue('id').id;
                        var versionField = f.getField('version');
                        var version = typeof versionField != "undefined" ? f.getValue('version').version : 0;
                        var mode = id ? 'update' : 'add';
                        var routeName = f.modulename + '-' + mode;
                        var route = Routing.getRoute(routeName);
                        var pagerParams = (t.grids && t.grids.main && t.grids.main.pbar) ? {
                            'pg': t.grids.main.pbar.current,
                            'lm': t.grids.main.pbar.limit
                        } : {'pg':1,'lm':25};
                        var url = Routing.generate(routeName, id ? mj.apply(pagerParams, {
                            'id': id,
                            'v': version
                        }) : pagerParams);
                        
                        data.menuId = t.id;
                        if (route && route.methods && route.methods.length>0 && route.methods[0]) {
                            t.waitMaskShow();
                            t._event='save';
                            $.ajax({
                                url: url,
                                method: "POST",
                                headers: { 
                                    "Content-Type": "application/json",
                                    "X-HTTP-Method-Override": route.methods[0] 
                                },
                                data: JSON.stringify(data),
                                dataType: 'json',
		                        success: function(data, textStatus, xhr) {
                                    t.reset(_f, data);
                                },
                                error: function(xhr, textStatus, errorThrown) {
                                    t.waitMaskHide();
                                    if(xhr.responseJSON&&xhr.responseJSON.message){
                                        mj.message({
                                            title: mj.lng.glb.error,
                                            msg: xhr.responseJSON.message,
                                            type: "error",
                                            html: true
                                        });
                                    }
                                },
                                complete: function(jqXHR, textStatus) {
                                    //t.waitMaskHide();
                                }
                            });
                        }
                    //}else{
                    //    t.messageShow(t,mj.lng.glb.error,"{{ 'Offtime.errClientNotSelected'|trans }}");
                    //}
                //}
            }*/
        }
    };
    {% endblock begin_javascript %}



    {% block begin_default_module %}
    {{ parent() }}
    {% endblock begin_default_module %}



    {% block end_default_module %}
    {{ parent() }}
    {% endblock end_default_module %}


    {% block end_javascript %}
    {{ parent() }}
    {% endblock end_javascript %}


    {% block end_javascript_fix %}
</script>
{% endblock end_javascript_fix %}



{% block body %}
    {{ parent() }}
{% endblock body %}
